<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/Events.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Events_8h.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enums</a>  </div>
  <div class="headertitle">
<div class="title">Events.h File Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p>Events which can be thrown.  
</p>

<p><a href="Events_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a48ad4dd16b8e22f2c8bc92b154479e92"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>&#160;&#160;&#160;((unsigned long)-1)</td></tr>
<tr class="separator:a48ad4dd16b8e22f2c8bc92b154479e92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enums</h2></td></tr>
<tr class="memitem:a347ec2e7ad5bc98b641a887ce34cc2ba"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a> { <br />
&#160;&#160;<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65">COMMANDERS_MOVE_MORE</a> = +1, 
<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d">COMMANDERS_MOVE_LESS</a> = -1, 
<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad901d0f2c65db46d15c17ed4b4855125">COMMANDERS_MOVE_STOP</a> = 0, 
<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e">COMMANDERS_MOVE_LEFT</a> = -2, 
<br />
&#160;&#160;<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930">COMMANDERS_MOVE_RIGHT</a> = -3, 
<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baab3c73917312becdd03fe37599aad8654">COMMANDERS_MOVE_CENTER</a> = -4, 
<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa411dad6eae5f4b6ee6a37ed360630b8a">COMMANDERS_MOVE_TOP</a> = -5, 
<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baadc7cc4dd0d8494d85886f38e272e9dbd">COMMANDERS_MOVE_BOTTOM</a> = -6, 
<br />
&#160;&#160;<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa70fce607487766319fb7c8d6798744dd">COMMANDERS_MOVE_STRAIGHT</a> = -7, 
<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa0d89916c4b0bcec7569179ec36bae13b">COMMANDERS_MOVE_DIVERGE</a> = -8, 
<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826">COMMANDERS_MOVE_ON</a> = -9, 
<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6">COMMANDERS_MOVE_OFF</a> = -10
<br />
 }<tr class="separator:a347ec2e7ad5bc98b641a887ce34cc2ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</td></tr>
<tr class="memitem:a36239a7eea6194f04e73e80d7419490c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> { <br />
&#160;&#160;<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7">COMMANDERS_EVENT_NONE</a> = 0, 
<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca23179b0dcca045d2d7c9ecffa607203d">COMMANDERS_EVENT_TOGGLE</a> = 1, 
<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a> = 2, 
<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">COMMANDERS_EVENT_MOVEPOSITION</a> = 3, 
<br />
&#160;&#160;<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec">COMMANDERS_EVENT_MOVEPOSITIONINDEX</a> = 4, 
<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61">COMMANDERS_EVENT_MOVEPOSITIONID</a> = 5, 
<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71">COMMANDERS_EVENT_CONFIG</a> = 6
<br />
 }<tr class="separator:a36239a7eea6194f04e73e80d7419490c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a48ad4dd16b8e22f2c8bc92b154479e92"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UNDEFINED_ID&#160;&#160;&#160;((unsigned long)-1)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Undefined id ! Used by all loop() functions if no event has been detected. </p>

<p class="definition">Definition at line <a class="el" href="Events_8h_source.html#l00038">38</a> of file <a class="el" href="Events_8h_source.html">Events.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="a36239a7eea6194f04e73e80d7419490c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Describes the main events thrown by <a class="el" href="classCommanders.html">Commanders</a>. </p>
<table class="fieldtable">
<tr><th>Enum Values</th><th>Documentation</th></tr><tr><td class="fieldname"><a class="anchor" id="a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7"></a>COMMANDERS_EVENT_NONE&#160;</td><td class="fielddoc">
<p>Should never appear. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a36239a7eea6194f04e73e80d7419490ca23179b0dcca045d2d7c9ecffa607203d"></a>COMMANDERS_EVENT_TOGGLE&#160;</td><td class="fielddoc">
<p>If a push button or similar is pressed, invert the state/position. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba"></a>COMMANDERS_EVENT_MOVE&#160;</td><td class="fielddoc">
<p>If a push 'left' button or similar is pressed, data is a <a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a>. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b"></a>COMMANDERS_EVENT_MOVEPOSITION&#160;</td><td class="fielddoc">
<p>Move to a given position value given by data. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec"></a>COMMANDERS_EVENT_MOVEPOSITIONINDEX&#160;</td><td class="fielddoc">
<p>Move to an indexed position from pMovingPosition given by data. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61"></a>COMMANDERS_EVENT_MOVEPOSITIONID&#160;</td><td class="fielddoc">
<p>Move to an identified position from pMovingPosition, given by the event id. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71"></a>COMMANDERS_EVENT_CONFIG&#160;</td><td class="fielddoc">
<p>Data is the configuration address and value. </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="Events_8h_source.html#l00025">25</a> of file <a class="el" href="Events_8h_source.html">Events.h</a>.</p>

</div>
</div>
<a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2ba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Describes the associated data with some particular cases of event type <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a>. These values will be interpreted by the receiving object. Some values could not have meaning in the context... </p>
<table class="fieldtable">
<tr><th>Enum Values</th><th>Documentation</th></tr><tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65"></a>COMMANDERS_MOVE_MORE&#160;</td><td class="fielddoc">
<p>Add an incremental value, like an encoder can do. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d"></a>COMMANDERS_MOVE_LESS&#160;</td><td class="fielddoc">
<p>Substract an incremental value, like an encoder can do. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baad901d0f2c65db46d15c17ed4b4855125"></a>COMMANDERS_MOVE_STOP&#160;</td><td class="fielddoc">
<p>Stop the current movement. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e"></a>COMMANDERS_MOVE_LEFT&#160;</td><td class="fielddoc">
<p>Move to left side. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930"></a>COMMANDERS_MOVE_RIGHT&#160;</td><td class="fielddoc">
<p>Move to right side. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baab3c73917312becdd03fe37599aad8654"></a>COMMANDERS_MOVE_CENTER&#160;</td><td class="fielddoc">
<p>Move to center. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baa411dad6eae5f4b6ee6a37ed360630b8a"></a>COMMANDERS_MOVE_TOP&#160;</td><td class="fielddoc">
<p>Move to top. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baadc7cc4dd0d8494d85886f38e272e9dbd"></a>COMMANDERS_MOVE_BOTTOM&#160;</td><td class="fielddoc">
<p>Move to bottom. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baa70fce607487766319fb7c8d6798744dd"></a>COMMANDERS_MOVE_STRAIGHT&#160;</td><td class="fielddoc">
<p>Set the turnout to straight position. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baa0d89916c4b0bcec7569179ec36bae13b"></a>COMMANDERS_MOVE_DIVERGE&#160;</td><td class="fielddoc">
<p>Set the turnout to deviated position. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826"></a>COMMANDERS_MOVE_ON&#160;</td><td class="fielddoc">
<p>Set accessory on. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6"></a>COMMANDERS_MOVE_OFF&#160;</td><td class="fielddoc">
<p>Set accessory off. </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="Events_8h_source.html#l00008">8</a> of file <a class="el" href="Events_8h_source.html">Events.h</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><a class="el" href="Events_8h.html">Events.h</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
